Bug 10416 - Менеджер ключей kgpg неправильно отображает userID
: Менеджер ключей kgpg неправильно отображает userID
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kdeutils-kgpg)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 12177
:
  Show dependency tree
 
Reported: 2006-12-13 19:09 by
Modified: 2012-07-24 06:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-13 19:09:54
Согласно RFC по OpenPGP текстовые поля в ключе должны быть в кодировке UTF-8. 
UserID как раз таким и является. Так вот, kgpg, в менеджере ключей, ошибочно 
пытается их(поля) декодировать исходя из кодировки текущей локали а не из 
utf-8.
Кроме этого, если при создании ключа использовать для userID символы отличные 
от ascii, то kgpg зачем-то перед отдачей на gpg их преобразует в что-то типа 
\xE1\xC0 после чего userId такого ключа не может отобразить даже сам, не говоря 
уже про то, что это не соответствует RFC...
------- Comment #1 From 2007-06-28 14:45:37 -------
Это не ошибка kgpg.
А ошибка самого gnupg:
https://bugzilla.altlinux.org/show_bug.cgi?id=12177
------- Comment #2 From 2007-06-28 19:17:26 -------
Это не ошибка. Это такое поведение. Они маскируют некоторые спецюсимволы. В 
часности двоеточия. Правда при этом маскируются и некоторые другие 
символы/байты и их тоже нужно демаскировать. 
Авторы gnupg это ошибкой не считают.
По этому поводу я уже общался в авторами енигмейла. У них была таже беда. У них 
была попытка это обработать, но работала она неправильно. Послал им небольшой 
патчик - в результате, на данный момент, имеем работающий красиво енигмейл.
------- Comment #3 From 2008-01-02 00:54:27 -------
Согласно
http://bugs.kde.org/show_bug.cgi?id=139276
fixed upstream.
------- Comment #4 From 2008-01-11 15:27:52 -------
(In reply to comment #3)
> fixed upstream.
Это в KDE4. Там все гораздо лучше написано. Соответственно, фикситься проще.
------- Comment #5 From 2012-07-23 14:43:29 -------
В KDE3 уже вряд ли что-то будет. Им бы от hal отказаться...